%define anolis_release 1
Name:           libxslt
Summary:        Library providing the Gnome XSLT engine
Version:        1.1.37
Release:        %{anolis_release}%{?dist}

License:        MIT
URL:            https://gitlab.gnome.org/GNOME/libxslt
Source0:        https://download.gnome.org/sources/%{name}/1.1/%{name}-%{version}.tar.xz

Provides: xsltproc = %{version}-%{release}

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.27

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.27
installed. The xsltproc command is a command line interface to the XSLT engine

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n python3-libxslt
Summary:        Python 3 bindings for %{name}
BuildRequires:  python3-devel
BuildRequires:  python3-libxml2
Requires:       %{name} = %{version}-%{release}
Requires:       python3-libxml2
%{?python_provide:%python_provide python3-%{name}}
 
%description -n python3-libxslt
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.
 
This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%prep
%autosetup -p1
chmod 644 python/tests/*

%build
%configure --disable-static --disable-silent-rules --with-python=yes --with-crypto=no
%make_build

%install
%make_install
rm -vrf %{buildroot}%{_docdir}

%generate_compatibility_deps

%check
%make_build tests

%files
%dir %{abidir}
%license Copyright
%{_bindir}/xsltproc
%{_libdir}/libxslt.so.*
%{_libdir}/libexslt.so.*
%{_libdir}/libxslt-plugins/
%{_mandir}/man1/xsltproc.1*
%{abidir}/libxslt.dump
%{abidir}/libexslt.dump

%files doc
%doc AUTHORS NEWS README FEATURES 

%files devel
%doc doc/libxslt-api.xml
%doc doc/libxslt-refs.xml
%doc doc/EXSLT/libexslt-api.xml
%doc doc/EXSLT/libexslt-refs.xml
%doc %{_mandir}/man3/libxslt.3*
%doc %{_mandir}/man3/libexslt.3*
%doc doc/tutorial
%doc doc/tutorial2
%{_datadir}/gtk-doc/*
%{_libdir}/cmake/libxslt
%{_libdir}/libxslt.so
%{_libdir}/libexslt.so
%{_libdir}/xsltConf.sh
%{_datadir}/aclocal/libxslt.m4
%{_includedir}/libxslt/
%{_includedir}/libexslt/
%{_libdir}/pkgconfig/libxslt.pc
%{_libdir}/pkgconfig/libexslt.pc
%{_bindir}/xslt-config
%{abidir}/xslt-config-option.list

%files -n python3-libxslt
%{python3_sitelib}/libxslt.py*
%{python3_sitearch}/libxsltmod.so
%{python3_sitelib}/__pycache__/libxslt*
%doc python/libxsltclass.txt
%doc python/tests/*.py
%doc python/tests/*.xml
%doc python/tests/*.xsl
%{abidir}/libxsltmod.dump

%changelog
* Sun Nov 27 2022 Funda Wang <fundawang@yeah.net> - 1.1.37-1
- New version 1.1.37
- Reenable python as upstream does

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.35-2
- optimise spec file & add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.35-1
- Init from upstream version 1.1.35

